---
title: GeometryUtils
slug: Web/API/GeometryUtils
tags:
  - API
  - CSSOM View
  - Experimental
  - Interface
---
<div>{{APIRef("CSSOM")}}</div>

<p>The <code><strong>GeometryUtils</strong></code> interface provides different utility function to retrieve geometry information about {{Glossary("DOM")}} nodes.</p>

<p><code>GeometryUtils</code> is a raw interface and no object of this type can be created; it is implemented by {{domxref("Text")}}, {{domxref("Element")}}, {{domxref("CSSPseudoElement")}}, and {{domxref("Document")}} objects.</p>

<h2 id="Properties">Properties</h2>

<p><em>This interface does not implement any properties.</em></p>

<h2 id="Methods">Methods</h2>

<dl>
 <dt>{{domxref("GeometryUtils.getBoxQuads()")}}{{experimental_inline}}</dt>
 <dd>Returns a list of {{domxref("DOMQuad")}} objects representing the CSS fragments of the node.</dd>
 <dt>{{domxref("GeometryUtils.convertQuadFromNode()")}}{{experimental_inline}}</dt>
 <dd>{{TODO("Needs a description")}}</dd>
 <dt>{{domxref("GeometryUtils.convertRectFromNode()")}}{{experimental_inline}}</dt>
 <dd>{{TODO("Needs a description")}}</dd>
 <dt>{{domxref("GeometryUtils.convertPointFromNode()")}}{{experimental_inline}}</dt>
 <dd>{{TODO("Needs a description")}}</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('CSSOM View', '#the-geometryutils-interface', 'GeometryUtils')}}</td>
   <td>{{Spec2('CSSOM View')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.GeometryUtils")}}</p>
